[cpp-sp] 02/12: Automatically enable the Apache module on installation

Scott Cantor cantor.2 at osu.edu
Thu Dec 20 19:41:09 EST 2018


This is an automated email from the git hooks/post-receive script.

scantor pushed a commit to annotated tag debian/2.0.dfsg1-4
in repository cpp-sp.

View the commit online:
http://git.shibboleth.net/view/?p=cpp-sp.git;a=commit;h=2dfc1172d64bfee99582ca518d8e9fdaf16ca7ca

commit 2dfc1172d64bfee99582ca518d8e9fdaf16ca7ca
Author: Ferenc Wagner <wferi at niif.hu>
AuthorDate: Fri Oct 10 01:31:47 2008 +0200

    Automatically enable the Apache module on installation
---
 debian/changelog                     |  3 ++-
 debian/libapache2-mod-shib2.postinst | 13 +++++++++++++
 debian/libapache2-mod-shib2.prerm    |  2 +-
 3 files changed, 16 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 701d8df..ae5ca2c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,8 +3,9 @@ shibboleth-sp2 (2.0.dfsg1-4) UNRELEASED; urgency=low
   * Rename debian/shib.load to debian/shib2.load to avoid clashing with the
     libapache2-mod-shib package.  Otherwise its Apache config file breaks our
     module.
+  * Automatically enable the Apache module on installation.
 
- -- Ferenc Wagner <wferi at niif.hu>  Thu, 09 Oct 2008 19:05:09 +0200
+ -- Ferenc Wagner <wferi at niif.hu>  Fri, 10 Oct 2008 01:29:18 +0200
 
 shibboleth-sp2 (2.0.dfsg1-3) unstable; urgency=low
 
diff --git a/debian/libapache2-mod-shib2.postinst b/debian/libapache2-mod-shib2.postinst
new file mode 100755
index 0000000..cd01936
--- /dev/null
+++ b/debian/libapache2-mod-shib2.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+configure|abort-deconfigure|abort-remove)
+    a2enmod shib2 || true
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/libapache2-mod-shib2.prerm b/debian/libapache2-mod-shib2.prerm
index f7fef59..5b086be 100755
--- a/debian/libapache2-mod-shib2.prerm
+++ b/debian/libapache2-mod-shib2.prerm
@@ -3,7 +3,7 @@
 set -e
 
 if [ "$1" = "remove" ] || [ "$1" = "deconfigure" ] ; then
-    a2dismod shib || true
+    a2dismod shib2 || true
 fi
 
 #DEBHELPER#

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the commits mailing list